*=======================================*
*	Moving files to the new location	*
*=======================================*


* The file opens all folders with EU-SES data, imports from csv and save dta.

*********************************************************************************
* IMPORTANT: 																	*
*------------>																	*
*(1) varnames in 2002 were officially different, BUT the files also included 	*
* `translations' to 2006-ownwards names. THESE names were used. Variables that	*
* only appeared in 2002 have the suffix _2002									*
*																				*	
*(2) Germany 2002 non existent and in 2006 has no varnames. Order was taken		*
* from metadata files DE/2006/doc2006/sas_descriptive.pdf						*
*********************************************************************************


version 14

cd "$dofiles"
global dofiles  "`c(pwd)'"
global original "$dofiles\..\original data\"
global correct 	"$dofiles\..\data"

cd "$original"

global folders: dir . dirs "*"

foreach f in $folders{

cd "$original/`f'"

local files: dir . files "*.csv"

	foreach file in `files'{
		tokenize `file', parse("_")
		local year 	`5'
		local cc 	`3'

** EXCEPTIONS
if `year'==2002 & "`cc'"=="it" continue		
if `year'==2006 & "`cc'"=="de" continue	  
if `year'==2014 & "`cc'"=="bg" continue	 


** NORMAL CODE		
		if `year' ==2002{
			import delimited  `file', delimiter(";") clear varnames(nonames)
			foreach v of varlist v*{
				local i = lower(strtoname("`=`v'[1]'"))
				if inlist("`i'","na","ses_2006_names")  local i = lower(strtoname("`=`v'[2]'"))+"_2002"
				rename `v'   `i'				
			}
	
			ren country* country
			drop if _n<3
		
			foreach v of varlist _all{
				capture destring  `v', replace
			}
		}
 		else {
			import delimited  `file', delimiter(";") clear varnames(1)
		}
	
	compress
	save "$correct\eu_ses_`year'_`cc'", replace
		
	}
	
}
 
 
 * EXCEPTIONS
 *---------------------------------
  
 * Italy 2002
 * The variable names do not match the rest of the databases.
import delimited  "$original\it\SES_IT_2002_ANONYM_CD.csv",  clear ///
	 varnames(nonames) delimiter(";") rowrange(3)
local l=1
foreach ll in country year nace key_e key_l a11 a12 a13 a14 a15 a16 a17_2002 ///
			a18_2002 a19_2002 a41 b21 b210_2002 b211_2002 b23 b24 b25 b26 b27 ///
			b271  b28 b31 b3221_2002 b3222_2002 b3223_2002 b423 b4231 b4232 b32 ///
			b321 b3511_2002 b352_2002 b3521_2002 b3522_2002 b353_2002 b412 b52 ///
			a12_class b22_class b43 b42 b421 b422 b41 b411 b34 b33{
			
	ren v`l' `ll'
	local ++l
		}
	 
	 
replace year = 2002	 // Wrongly coded in the original file
compress

save "$correct\eu_ses_2002_it", replace
 
 
* Germany 2006
*(taken from SAS report file)

import delimited  "$original\de\SES_DE_2006_ANONYM_CD", delimiter(";") clear varnames(nonames)
local l =1
foreach ll in year	key_e key_l	a11	a12	a13	a14	a15	a16	a17	b21	b23	b24	b25	b26	///
			 b27 b271 b28 b31 b423 b4231 b4232	b32	b321 b412 b52 a12_class	///
			 b22_class	b43	b42	b421 b422 b41 b411 b34 b33{
	
	capture destring v`l', replace
	rename v`l'  `ll'
	local ++l
}
compress
save "$correct\eu_ses_2006_de", replace


* Bulgaria 2014
* Problem with delimiter
import delimited  "$original\bg\SES_BG_2014_ANONYM_CD.csv",  clear varnames(1)	 
compress
save "$correct\eu_ses_2014_bg", replace


