*=======================================*
*		Worker characteristics			*
*=======================================* 

* the file recovers worker characteristics from raw data

* IMPORTANT: the definition of education changed in every wave. IN 2014 bachelor
* is treated as lower tertiary. In other years, it is treated as tertiary.

* Tenure changed in 08/03/2019 -- string in some countries where it should not be. 
* 11/03/2019 -- weightwas string in Germany 2010. Corrected


version 14

cd "$dofiles"
global dofiles  "`c(pwd)'"
global original "$dofiles\..\original data\"
global correct 	"$dofiles\..\data"


cd "$correct"

local files: dir . files "*.dta"
foreach file in `files'{
		
	tokenize `file', parse("_" ".")
	local year 		"`5'"
	local country 	"`7'"
	
	use `file', clear
	
	* Age
	*----------------------------
	capture drop aux
	gen aux = subinstr(b22," ","",.) 
	capture drop age
	gen		age = 17 if aux=="14-19"  
	replace age = 25 if aux=="20-29"  
	replace age = 35 if aux=="30-39"  
	replace age = 45 if aux=="40-49"
	replace age = 55 if aux=="50-59"
	replace age = 60 if aux=="60+"
	capture drop aux
	
	* Gender
	*--------------------------
	capture drop fem
	gen fem= b21=="F"
	
	capture drop male
	gen male= b21=="M"

	
	* Education
	*----------------------------
	capture drop educ
	if `year'==2002{
		recode b25 (0/2=1)(3/9=2)(10/12=3) (99=.), gen(educ)
		}
	if `year'==2006 | `year' ==2010{
		recode b25 (0/2=1)(3/4=2)(5/6=3) (99=.), gen(educ)
		}
	if `year'==2014{
		gen educ = 2
		replace educ = 1 if b25=="G1"
		replace educ = 3 if b25=="G4" | b25=="G3"
		}	
		
	capture label drop educ
	label define educ 1 "Primary-lower" 2 "High school"  3 "Tertiary"
	label val educ educ
		
	* Tenure
	*-------------------------------
 	capture drop tenure

	if "`country'"=="be" | ("`country'"=="pt" & `year'<2014) |
			("`country'"=="sl" & `year'==2014){
		destring b26, gen(tenure) force
		replace tenure = 37 if b26=="35 - 39"
		replace tenure = 40 if b26=="40+"
	}
	else if "`country'"=="nl" & `year'<2010{
		gen tenure = 1 		if b26=="Year0_<1"
		replace tenure = 3	if b26=="Year1_4"
		replace tenure = 10	if b26=="Year5_14"
		replace tenure = 15	if b26=="Year15_"
	}
	else{
	gen tenure = b26
	}
	label var tenure "Years in current enterprise"
	
	
	
	* Weights
	*-------------------------

	capture drop weight
	gen weight = b52
	label var weight "Grossing up factor"
 	save, replace
	}
	



